Software Centre duplicate reviews

Bug #794060 reported by Matt on 2011-06-07
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Aaron Peachey
Natty
Undecided
Unassigned

Bug Description

Binary package hint: software-center

When selecting whether the review was helpful (yes/no), the reviews refresh but are duplicated. I tested this on family farm. I chose 'no' on a review, afterwards the reviews refreshed and each review was now duplicated with two entires each. Clicking yes/no again on another review duplicates them again and 3 copies of each review are now visible. I tested this on Braid also and the same thing happened. After trying braid, I went back to family farm and the reviews were back to normal.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: software-center 4.0.3
ProcVersionSignature: Ubuntu 2.6.38-9.43-generic 2.6.38.4
Uname: Linux 2.6.38-9-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Tue Jun 7 14:56:24 2011
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: Upgraded to natty on 2011-03-04 (94 days ago)

Related branches

Matt (mwood15) wrote :
Aaron Peachey (aaronp) wrote :

Hi, thanks for your bug report. I can confirm this issue and believe it is due to a recent change to paginate the reviews which doesn't clear the reviews in the app details view before updating with new review info after a review submission, vote or flag. I am working on a fix.

Changed in software-center (Ubuntu):
assignee: nobody → Aaron Peachey (aaronp)
status: New → Confirmed
status: Confirmed → In Progress
Aaron Peachey (aaronp) wrote :

Attached branch has a fix for this bug for Natty.

Changed in software-center (Ubuntu):
importance: Undecided → Medium
Aaron Peachey (aaronp) wrote :

Attached branch does not completely fix this bug, I'm working on an updated fix.

Martin Pitt (pitti) wrote :

Please fix in oneiric ASAP, so that this can progress to natty-updates.

Changed in software-center (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed

Accepted software-center into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Aaron Peachey (aaronp) wrote :

Newly linked branch has the same fix written for oneiric. I have proposed it for merging to trunk after review.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.1.6

---------------
software-center (4.1.6) oneiric; urgency=low

  [ Brian Murray ]
  * add in an apport package hook for software-center that adds
    software-center.log to bug reports

  [ Gary Lasker ]
  * data/ui/SoftwareCenter.ui,
    softwarecenter/app.py:
    - specify the default initial window size based on screen
      dimensions to take better advantage of the available area
  * softwarecenter/ui/gtk/appdetailsview_gtk.py:
    - display package name first in the version field per spec
  * merge lp:~weblive-dev/software-center/fix-weblive, many
    thanks to Stéphane Graber
  * softwarecenter/db/update.py:
    - don't generate thumbnail urls for screenshots in the For
      Purchase section as we no longer provide separate thumbnail
      files for these apps
  * softwarecenter/ui/gtk/softwarepane.py:
    - fix crash when searching the Canonical Partners section
      (LP: #796034)
  * softwarecenter/db/application.py:
    - fix broken details view for items in the Canonical Partners
      section when the channel is not enabled

  [ Michael Vogt ]
  * move from pyhton-central to python2
  * lp:~alexeftimie/software-center/backend-refactor,
    many thanks to Alex Eftimie (LP: #704719)
  * softwarecenter/utils.py:
    - add new generic "normalize_package_description()" helper that
      can be shared between the various UIs to normalize the package
      description
    - add generic htmlize_package_description()
  * softwarecenter/ui/gtk/widgets/description.py:
    - use "normalize_package_description()" here for the description
      building
  * fix some pyflakes warnings
  * update test/test_htmlize.py for the new htmlize_package_description()

  [ Aaron Peachey ]
  * softwarecenter/backend/reviews.py,
    softwarecenter/ui/gtk/appdetailsview_gtk.py,
    softwarecenter/ui/gtk/widgets/reviews.py:
    - fix duplication of reviews after user has submitted
      usefulness, flagged or submitted a review (LP: #794060)
 -- Michael Vogt <email address hidden> Mon, 20 Jun 2011 11:21:02 +0200

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
Gary Lasker (gary-lasker) wrote :

I have verified that this bug is fixed in software-center version 4.0.4 in natty-proposed. Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.0.4

---------------
software-center (4.0.4) natty-proposed; urgency=low

  [ Aaron Peachey ]
  * utils/submit_review.py:
    - ensure error message shows if usefulness submit
      fails (LP: #790450)
  * softwarecenter/view/widgets/reviews.py:
    - fix disappearing usefulness UI on clicking 'OK' after error
  * softwarecenter/db/reviews.py,
    softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py:
    - fix duplication of reviews after user has submitted
      usefulness or flagged a review (LP: #794060)

  [ Gary Lasker ]
  * softwarecenter/app.py,
    softwarecenter/view/softwarepane.py:
    - fix issue where the background image for installed channels
      details view is not consistently rendered (LP: #724724)
 -- Michael Vogt <email address hidden> Fri, 10 Jun 2011 18:22:41 +0200

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
Clint Byrum (clint-fewbar) wrote :

Set natty status back to Triaged as it seems to only be half fixed in 4.0.4, and will be handled by 4.0.5

Changed in software-center (Ubuntu Natty):
status: Fix Released → Triaged
Clint Byrum (clint-fewbar) wrote :

Hello Matt, or anyone else affected,

Accepted software-center into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-done
Changed in software-center (Ubuntu Natty):
status: Triaged → Fix Committed
tags: added: verification-needed
Gary Lasker (gary-lasker) wrote :

I have verified that this bug is fixed in software-center version 4.0.5 in natty-proposed. Many thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.0.5

---------------
software-center (4.0.5) natty-proposed; urgency=low

  [ Aaron Peachey ]
  * softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py:
    - fix duplication of reviews upon submitting a new
      review, completes the fix for LP: #794060

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    softwarecenter/backend/aptd.py,
    test/test_software_channels.py:
    - obfuscate private ppa details in the error log output and in
      the error dialog itself, add corresponding unit test
      (LP: #807745)
  * merge lp:~evfool/software-center/nonetworkfixes, fixes two menu
    item network state bugs, many thanks to Robert Roth
    (LP: #802919, LP: #802920)
 -- Michael Vogt <email address hidden> Wed, 13 Jul 2011 14:24:50 +0200

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers